import { Subscription } from 'rxjs';
import { ClientConfiguration } from '../api/client/client-configuration.js';
import { ClientConfigurationRole } from '../api/client/client-configuration-role.js';
import { ClientConfigurationPolicy } from '../api/client/client-configuration-policy.js';
import { ClientExtensions } from '../api/client/client-extensions.js';
import { ClientCommands } from '../api/client/client-commads.js';
import { ClientOrganization } from '../api/client/client-organization.js';

// import { Services } from '../services/services';
function createExtensionHostClientConnection(connection, services) {
  const subscription = new Subscription();
  connection.onRequest('ping', () => 'pong');
  subscription.add(new ClientConfiguration(connection, services.organizationContextService, services.configurationService, services.registry));
  subscription.add(new ClientConfigurationRole(connection, services.organizationContextService, services.configurationService, services.registry));
  subscription.add(new ClientConfigurationPolicy(connection, services.organizationContextService, services.configurationService, services.registry));
  subscription.add(new ClientOrganization(connection, services.organizationContextService));
  subscription.add(new ClientCommands(connection, services.commands));
  subscription.add(new ClientExtensions(connection, services.extensions));
  return {
    setTracer: tracer => {
      connection.trace(tracer);
    },
    unsubscribe: () => subscription.unsubscribe()
  };
}

export { createExtensionHostClientConnection };
//# sourceMappingURL=connection.js.map
